<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litepie',

    /*
     * Package.
     */
    'package'   => 'call',

    /*
     * Modules.
     */
    'modules'   => ['call'],

    
    'call'       => [
        'model' => [
            'model'                 => \Litepie\Call\Models\Call::class,
            'table'                 => 'calls',
            'presenter'             => \Litepie\Call\Repositories\Presenter\CallPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'slug',  'parent_id',  'customer_id',  'assigned_date',  'reminder',  'assigned_to',  'direction',  'hot_call',  'called_on',  'duration',  'status',  'substatus',  'notes',  'user_id',  'user_type',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'call/call',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepie',
            'package'   => 'Call',
            'module'    => 'Call',
        ],

    ],
];
