<?php

namespace Litepie\Call;

use User;

class Call
{
    /**
     * $call object.
     */
    protected $call;

    /**
     * Constructor.
     */
    public function __construct(\Litepie\Call\Interfaces\CallRepositoryInterface $call)
    {
        $this->call = $call;
    }

    /**
     * Returns count of call.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.call.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->call->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\CallUserCriteria());
        }

        $call = $this->call->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('call::' . $view, compact('call'))->render();
    }
}
