<?php

namespace Litepie\Call\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CallTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Call\Models\Call $call)
    {
        return [
            'id'                => $call->getRouteKey(),
            'key'               => [
                'public'    => $call->getPublicKey(),
                'route'     => $call->getRouteKey(),
            ], 
            'name'              => $call->name,
            'slug'              => $call->slug,
            'parent_id'         => $call->parent_id,
            'customer_id'       => $call->customer_id,
            'assigned_date'     => $call->assigned_date,
            'reminder'          => $call->reminder,
            'assigned_to'       => $call->assigned_to,
            'direction'         => $call->direction,
            'hot_call'          => $call->hot_call,
            'called_on'         => $call->called_on,
            'duration'          => $call->duration,
            'substatus'         => $call->substatus,
            'notes'             => $call->notes,
            'user_id'           => $call->user_id,
            'user_type'         => $call->user_type,
            'deleted_at'        => $call->deleted_at,
            'url'               => [
                'public'    => trans_url('call/'.$call->getPublicKey()),
                'user'      => guard_url('call/call/'.$call->getRouteKey()),
            ], 
            'status'            => trans('app.'.$call->status),
            'created_at'        => format_date($call->created_at),
            'updated_at'        => format_date($call->updated_at),
        ];
    }
}